/*
 *      $Source: /home/fergia/CVS/tcfs-linux/tcfslib-1.0.0/include/md_global.h,v $
 *      $Revision: 1.1.1.1 $
 *      $Date: 2000/04/07 11:21:23 $
 *      $State: Exp $
 *      $Author: fergia $
 *      $Lockers$
 */

/* -+-_== */ 

/* ./src/crypt/md/md_global.h */

 
/* GLOBAL.H - RSAREF types and constants
 */

/* PROTOTYPES should be set to one if and only if the compiler supports
     function argument prototyping.
   The following makes PROTOTYPES default to 0 if it has not already
     been defined with C compiler flags.
 */

#include "sec_global.h"

#ifndef PROTOTYPES
#define PROTOTYPES 0
#endif

/* POINTER defines a generic pointer type */
typedef unsigned char *POINTER;

/* UINT2 defines a two byte word */
typedef unsigned short int UINT2;

/* UINT4 defines a four byte word */

#if SIZEOFLONG == 64
typedef unsigned int UINT4;
#else
typedef unsigned long UINT4;
#endif

/* PROTO_LIST is defined depending on how PROTOTYPES is defined above.
   If using PROTOTYPES, then PROTO_LIST returns the list, otherwise it
     returns an empty list.
 */

#if PROTOTYPES
#define PROTO_LIST(list) list
#else
#define PROTO_LIST(list) ()
#endif
